Path: API › 系统管理

`POST /system`

获取系统负载平均值，基于 `/proc/loadavg`。

## Request body

_Required._

- `action343.request_time` (string, required) — Unix 时间戳。
- `action343.request_token` (string, required) — 按 API 概览生成的签名。
- `action343.action` (string, required) — 具体操作名称。
  - one of `"GetLoadAverage"`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "GetLoadAverage"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/system" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=GetLoadAverage"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "one": 0.15,
  "five": 0.08,
  "fifteen": 0.02,
  "max": 4,
  "limit": 4,
  "safe": 3
}
```

- `action343.response.default.one` (number, optional) — 1 分钟平均负载
- `action343.response.default.five` (number, optional) — 5 分钟平均负载
- `action343.response.default.fifteen` (number, optional) — 15 分钟平均负载
- `action343.response.default.max` (integer, optional) — 最大负载阈值（CPU核心数 × 2）
- `action343.response.default.limit` (integer, optional) — 同 max
- `action343.response.default.safe` (number, optional) — 安全阈值（max × 0.75）


## GetLoadAverage

获取系统负载平均值，基于 `/proc/loadavg`。

- **路由**：`POST /system`
- **action**：`GetLoadAverage`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `GetLoadAverage` |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| one | Float | 1 分钟平均负载 |
| five | Float | 5 分钟平均负载 |
| fifteen | Float | 15 分钟平均负载 |
| max | Integer | 最大负载阈值（CPU核心数 × 2） |
| limit | Integer | 同 max |
| safe | Float | 安全阈值（max × 0.75） |

## 示例

### 响应

```json
{
    "one": 0.15,
    "five": 0.08,
    "fifteen": 0.02,
    "max": 4,
    "limit": 4,
    "safe": 3.0
}
```

